@import "./quasar.variables.scss";
@import "./mixin";

.q-btn {
  font-style: normal !important;
  border-radius: 5px;
  font-weight: 600 !important;
  line-height: 20px;
  font-size: 11px;
  text-transform: unset !important;
  letter-spacing: normal !important;

  &__content {
    font-size: inherit;
  }

  &.btn {
    &--shade {
      &-1 {
        background-color: $brand-1 !important;
      }
      &-2 {
        background-color: $brand-2 !important;
      }
      &-3 {
        background-color: $brand-3 !important;
      }
    }

    &-sm {
      padding: 10px 15px 10px 15px !important;
      width: 41.49px;
      height: 40px;
    }

    &-md {
      padding: 5px 20px 5px 20px !important;
      height: 35px !important;
    }

    &-lg {
      padding: 10px 30px 10px 30px !important;
      height: 40px !important;
    }

    &-xl {
      padding: 10px 30px 10px 30px !important;
      height: 50px !important;
    }
  }
}

// text-style mixin: size, height, weight
a,
p,
h1,
h2,
h3,
h4,
h5,
h6,
span,
button,
label,
div {
  &.text {
    font-family: $typography-font-family;
    font-weight: 700;
    display: block;
    padding: 0 !important;
    color: $regular-text;

    &__regular {
      color: $regular-text !important;
    }
    &__secondary {
      color: $secondary-text;
    }
    &__tertiary {
      color: $tertiary-text;
    }
    &__error {
      color: $negative !important;
    }
    &__inactive {
      color: $inactive-text !important;
    }
  }
  &.title {
    &-xsmall {
      @include text-style(11px, 15px, 600);
    }
    &-small {
      @include text-style(11px, 24px, 700);
    }
    &-medium {
      @include text-style(21px, 29px, 700);
    }
    &-large {
      @include text-style(34px, 41px, 700);
    }
    &-1 {
      @include text-style(27px, 34px, 700);
    }
    &-2 {
      @include text-style(22px, 28px, 700);
    }
    &-3 {
      @include text-style(20px, 24px, 600);
    }
    &-4 {
      @include text-style(15px, 24px, 600);
    }
    &-5 {
      @include text-style(15px, 20px, 700);
    }
    &-6 {
      @include text-style(15px, 24px, 400);
    }
    &-7 {
      @include text-style(14px, 24px, 600);
    }
    &-8 {
      @include text-style(15px, 20.49px, 400);
    }
    &-9 {
      @include text-style(19px, 25.95px, 600);
    }
    &-10 {
      @include text-style(12px, 25.95px, 500);
    }
    &-headline {
      @include text-style(17px, 22px, 700);
    }
    &-subheadline {
      @include text-style(17px, 22px, 400);
    }
  }
  &.footer {
    @include text-style(11px, 15.03px, 700);
    text-decoration: none;
  }
  &.notification {
    @include text-style(11px, 15px, 800);
    text-decoration: none;
  }
  &.menu-tabs {
    @include text-style(15px, 20px, 600);
    text-decoration: none;
  }
  &.salary {
    @include text-style(13px, 17.76px, 600);
  }
}

.q-field--outlined .q-field__control {
  border-radius: 10px !important;
  background-color: #f5f5f5 !important;
}

.q-checkbox__bg {
  border-radius: 5px !important;
  border: 2px solid #dededc;
}

.default-field-width {
  width: 150px;
}

.q-tab {
  margin-right: 35px !important;
  border-radius: 10px !important;
  background-color: rgba(155, 155, 155, 0.1);
  color: #4c1cc0 !important;
  padding: 15px 30px !important;

  &--active {
    background-color: #4c1cc0 !important;
    color: #fff !important;
  }
}

.q-tab__label {
  font-weight: 600 !important;
  font-size: 15px !important;
  line-height: 20px !important;
}

.q-tab--active .q-tab__indicator {
  opacity: 0;
  transform-origin: left /* rtl:ignore */;
}

th {
  color: #016925 !important;
  font-weight: 700 !important;
  font-size: 11px !important;
  line-height: 15px !important;
}

td {
  padding: 12px !important;
  font-weight: 400 !important;
  font-size: 15px !important;
  line-height: 24px !important;
  color: #1d1d1d !important;
}

.q-table {
  border-radius: 10px !important;

  &__top {
    padding: 0px !important;
  }
}

::-webkit-scrollbar {
  width: 7px;
  height: 5px;
}
::-webkit-scrollbar-track {
  background: white;
}
::-webkit-scrollbar-thumb {
  background: #c0c0c0;
  border-radius: 50px;
}
::-webkit-scrollbar-thumb:hover {
  background: #808080;
}

.badge {
  border: 1px solid #dededc;
  border-radius: 5px;
  padding: 5px 15px;
  font-weight: 600;
  font-size: 11px;
  line-height: 15px;
  color: #333333;
}

.chip {
  border: 1px solid #dededc;
  border-radius: 20px;
  padding: 15px;
  font-weight: 600;
  font-size: 12px;
  line-height: 15px;
  color: #333333;
}
